module Config.Helpers.Format exposing (..)

import Config.Style.Colour exposing (..)
import Element exposing (..)
import Element.Font as F


paragraphFontSize : Attr decorative msg
paragraphFontSize =
    F.size 16


paragraphSpacing : Attribute msg
paragraphSpacing =
    spacing 3


renderCodeLine : SyntaxColors -> List (Element msg) -> Element msg
renderCodeLine colors elements =
    paragraph
        [ F.color colors.text
        , F.alignLeft
        , F.family
            [ F.monospace ]
        ]
        elements
