module Config.Helpers.Response exposing (..)

import Config.Style.Colour exposing (colourTheme)
import Element as E exposing (..)
import Element.Background as B


topLevelContainer : Element msg -> Element msg
topLevelContainer =
    el
        [ width fill
        , height fill
        , B.color colourTheme.backgroundLightGrey
        , height fill
        , scrollbarY
        ]


pageList : List (Attribute msg)
pageList =
    [ alignTop
    ]
        ++ pageListFormat


pageListCenter : List (Attribute msg)
pageListCenter =
    [ centerY
    ]
        ++ pageListFormat


pageListFormat : List (Attribute msg)
pageListFormat =
    [ spacing 30
    , centerX
    , paddingEach { top = 30, bottom = 30, left = 30, right = 30 }
    , width (fill |> minimum 100)
    , width (fill |> maximum 875)
    , scrollbarY
    ]
