module Config.Pages.Debate.Arguments.Inferences.DairyCowRape exposing (..)

import Config.Pages.Debate.Arguments.Types exposing (..)


argumentDairyCowRape : Argument
argumentDairyCowRape =
    { argumentTitle = "Argument for Animal Sex Counting as Rape"
    , propositionTitle = "An animal mating with another animal qualifies as rape."
    , propositionReductio = ""
    , propositionSummary = "It's not clear that non-human animal procreation isn't an example of rape if we take sexual interaction in the absence of informed consent to be rape. So, it seems to follow that a bull mating with a cow is rape, for example."
    , proofLink = "https://www.umsu.de/trees/#(~6x~6y(Px~4(Qxy~1~3Ryx))),(Qae),(~3Rea)|=(Pa)"
    , argumentCertainty = 10
    , argumentImage = "cowrape"
    , argumentHashtags = []
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) qualifies as rape"
          }
        , { definiendum = "Q(x,y)"
          , definiens = "(x)  involves sexual contact with (y)"
          }
        , { definiendum = "R(y,x)"
          , definiens = "(y) renders informed consent for (x)"
          }
        , { definiendum = "x"
          , definiens = "an action"
          }
        , { definiendum = "y"
          , definiens = "an involved party"
          }
        , { definiendum = "a"
          , definiens = "an animal mating with another animal"
          }
        , { definiendum = "e"
          , definiens = "another animal"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "An action qualifies as rape if, and only if, the action involves sexual contact with an involved party and the involved party does not render informed consent for the action."
                  , notation = "∀x∀y(Px↔(Qxy∧¬Ryx))"
                  }
                , { premise = "An animal mating with another animal involves sexual contact with another animal."
                  , notation = "Qae"
                  }
                , { premise = "Said animal does not render informed consent to an animal mating with them."
                  , notation = "¬Rea"
                  }
                ]
          , conclusion = "Therefore, an animal mating with another animal qualifies as rape."
          , conclusionNotation = "Pa"
          }
        ]
    }
