module Config.Pages.Debate.Debate.Pages.Arguments exposing (..)

import Config.Data.Identity
    exposing
        ( pageNames
        , url
        )
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Arguments.Helpers exposing (argumentListNumber)
import Config.Pages.Debate.Debate.Types exposing (..)
import Route
import Route.Path as Path


debateArguments : Debate
debateArguments =
    let
        name =
            "Arguments"
    in
    { debateTitle = name
    , debateLink = Path.toString Path.Debate_Arguments
    , debateCount = argumentListNumber
    , debateImage = formatName name
    , isNewTabLink = False
    , debateDescription = "This page features arguments that I hold to be sound, though with varying degrees of confidence. I'm open to hearing all challenges, as I am ready to engage with any substantive critiques and defend any argument listed. I have additionally included a confidence meter with each argument to give readers a clearer understanding of how strongly I hold to the argument."
    }
