module Config.Pages.Donate.Methods.KoFi exposing (..)

import Config.Pages.Donate.Types exposing (..)
import Config.Helpers.Converters exposing (formatName)

donateKoFi : Donate
donateKoFi =
    let
        name : String
        name =
            "Ko-Fi"
    in
    { donateImage = formatName name
    , donateLink = "https://ko-fi.com/uprootnutrition"
    , donateName = name
    , donateFees = "5%"
    , donatePreference = 5
    , donateFeatures =
        [ { free = Just False
          , subscriptions = Just True
          , openSource = Just False
          , fastPayments = Just False
          , userFriendly = Just True
          , anonymous = Just True
          , rewardTiers = Just False
          }
        ]
    , donatePros =
        [ { pro = "Supports one-time and monthly donations."
          }
        , { pro = "Allows digital downloads and commissions."
          }
        , { pro = "Relatively simple platform."
          }
        ]
    , donateCons =
        [ { con = "Less feature-rich compared to other services."
          }
        , { con = "Smaller user base compared to more established platforms."
          }
        ]
    }
