module Config.Pages.Interviews.Episodes.KetogeeksPodcast exposing (..)

import Config.Pages.Interviews.Types exposing (..)
import Config.Helpers.Converters exposing (formatName)

ketoGeeksPodcast : Interview
ketoGeeksPodcast =
    let
        name : String
        name =
            "Ketogeek's Podcast"
    in
    { interviewName = name
    , interviewImage = formatName name
    , interviewSocial = "https://x.com/fmahmad88"
    , interviewAppearances =
        [ { appearanceTitle = "In Defense of Seed Oils and Polyunsaturated Fats"
          , appearanceEpisode = "78"
          , appearanceLink = "https://ketogeek.libsyn.com/in-defense-of-seed-oils-and-polyunsaturated-fats-nick-hiebert"
          , appearanceExperience = 10
          , appearanceYear = "March 18th, 2022"
          , appearanceSubjects =
                [ { subject = "How did you start getting into the seed oil debate?" }
                , { subject = "What are some common claims made against seed oils?" }
                , { subject = "Does PUFA cause chronic diseases like CVD and cancer?" }
                , { subject = "Critique of the ancestral approach towards food and nutrition." }
                , { subject = "Why and when epidemiology can be good evidence." }
                , { subject = "Resources people can read regarding PUFA and health." }
                ]
          }
        ]
    }
