module Config.Pages.Services.Services.DebateCoaching exposing (..)

import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Services.Types exposing (..)
import Element as E exposing (..)
import Route.Path as Path


servicesDebateCoaching : Service msg
servicesDebateCoaching =
    let
        name : String
        name =
            "Debate Coaching"
    in
    { serviceImage = formatName name
    , serviceLink = Path.toString Path.Services_Coaching
    , serviceName = name
    , serviceRate = "$60/hr"
    , serviceDescription =
        [ { point = "Participate in a structured course with five one-hour modules." }
        , { point = "Learn critical thinking, debate strategy, formal logic, and more" }
        , { point = "Receive personalized and generalizable advice." }
        , { point = "Improve debate understanding and performance." }
        ]
    , serviceArticle =
        { articleTitles =
            { title1 = "What You Get"
            , title2 = "Syllabus"
            , title3 = "Module 1"
            , title4 = "Module 2"
            , title5 = "Module 3"
            , title6 = "Module 4"
            , title7 = "Module 5"
            , title8 = "Optional"
            , title9 = ""
            , title10 = ""
            }
        , articleParagraph =
            { paragraph1 = [ text "This service is designed to help you gain an understanding of the fundamentals of debate, and the tools used in debate. The service spans five modules, covering fallacious reasoning, epistemology, and propositional logic. You're free to choose which modules you want to cover, based on your current knowledge and interests." ]
            , paragraph2 = [ text "If interested clients choose to text their knowledge and sharpen their skills with mock debates, they may be subject to additional fees, as mock debates often involve the inclusion of skillful third parties against whom clients can spar." ]
            , paragraph3 = []
            , paragraph4 = []
            }
        , articleListEntries =
            { list1 =
                [ "A five-module course covering critical thinking, debate strategy, and propositional logic, designed to strengthen your debating skills."
                , "Personalized feedback and guidance to boost your strategic thinking, verbal comfort, and overall debate effectiveness."
                , "Optional mock debates and staged confrontations, helping you gain experience and confidence in real-world debates."
                ]
            , list2 =
                [ "" ]
            , list3 =
                [ "Study both common and obscure logical fallacies."
                , "Learn to identify and rebut fallacious reasoning."
                , "Test your knowledge of logical fallacies."
                ]
            , list4 =
                [ "Assignment review."
                , "Study concepts related to formal logic and argumentation."
                , "Learn the lexicon of debate and formal reasoning."
                , "Test your knowledge of debate-related terminology."
                ]
            , list5 =
                [ "Assignment review."
                , "Study philosophical concepts relevant to debate."
                , "Learn about epistemology and the philosophy of science."
                , "Test your knowledge of debate-related philosophical concepts."
                ]
            , list6 =
                [ "Assignment review."
                , "Study the different modes of argumentation."
                , "Learn the principles and axioms of propositional logic."
                , "Test your knowledge of propositional logic fundamentals."
                ]
            , list7 =
                [ "Assignment review."
                , "Study the inference rules of propositional logic."
                , "Learn how to form valid formal arguments."
                , "Test your knowledge of formal logic."
                ]
            , list8 =
                [ "Test your knowledge in an optional mock debate."
                , "Choose between general, empirical, and NTT-style debate."
                , "Have your performance analyzed in realtime."
                ]
            , list9 =
                []
            , list10 =
                []
            }
        }
    }
